### Method

# Shumate VectorRenderer set_global_state

since: 1.6

#### Declaration [src]

    void
    shumate_vector_renderer_set_global_state (
      ShumateVectorRenderer* self,
      const char* key,
      ShumateVectorValue* value
    )

#### Description [src]

Sets a global state value.

Global state can be accessed in the stylesheet through the “global-state” expression operator. This allows styles to provide options that can be configured without changing the style JSON.

Previously rendered tiles are not affected by changes to global state and must be re-rendered.

Available since: 1.6

#### Parameters

`key`

  Type: `const char*`

  The state key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `ShumateVectorValue`

  The state value.

  The data is owned by the caller of the method.